#form-builder-lettering .row.flex-column:first-of-type {
  min-height: 100%;
}
#form-builder-lettering .row.flex-column:first-of-type > .form-group.row {
  min-height: 0;
  flex: 0 1 0%;
  margin: 0 !important;
}
#form-builder-lettering .row.flex-column:first-of-type > div:first-child {
  min-height: auto !important;
  font-size: 0.75rem;
  color: #FF0000;
}
#form-builder-lettering .row.flex-column:first-of-type > div:nth-child(6) {
  flex: 1 !important;
}
#form-builder-lettering .row.flex-column:first-of-type > div:nth-child(6) > div:first-child {
  background-color: #F8F9Fa;
}
#form-builder-lettering .row.flex-column:first-of-type > div:nth-child(4),
#form-builder-lettering .row.flex-column:first-of-type > div:nth-child(7) {
  background-color: #F8F9Fa;
}
#form-builder-lettering .control-assistance[data-target="#assistance-modal-info-text[data-builder-lettering]"] {
  margin-right: 0.7rem;
}
#form-builder-lettering .dimension-block {
  flex: 1;
}
#form-builder-lettering .dimension-block .form-control {
  flex: 1 0 3.4rem;
}
#form-builder-lettering .dimension-block > span:nth-child(3),
#form-builder-lettering .dimension-block > span:nth-child(6) {
  flex: 0 0 1.6rem;
}
#form-builder-lettering .height-block {
  flex: 1;
}
#form-builder-lettering .height-block .link-component-height-type {
  padding: 0.2em 0.5rem;
  line-height: 0.9em;
}
#form-builder-lettering .height-block .link-component-height-type.btn-light {
  box-shadow: 0 0 8px rgba(0, 0, 0, 0.5);
}
#form-builder-lettering .option-block .form-check {
  padding-left: 0;
}
#form-builder-lettering .option-block .form-check-label {
  font-size: 0.875rem;
  line-height: 1;
}
#form-builder-lettering .component-price-container .component-price-block {
  flex-grow: 1;
  white-space: nowrap;
  line-height: 1;
  border-radius: 0 !important;
  font-size: 0.875rem;
}
#form-builder-lettering .component-price-container .component-price-block > span:nth-child(2) {
  min-height: 1rem;
  font-size: 1rem !important;
}
#form-builder-lettering .component-price-container .component-price-block:first-of-type {
  max-width: 40%;
}
#form-builder-lettering .component-price-container .component-price-block:nth-child(2) {
  max-width: 48%;
}
#form-builder-lettering .btn-control-block {
  flex: none;
  min-width: 5.31rem;
  min-height: 4.31rem;
}
#form-builder-lettering .btn-control-block > div:first-child {
  flex: auto;
}
#form-builder-lettering .btn-control-block > .control-assistance {
  flex: 0;
  padding: 0.31rem 0 0 0.3rem;
}
#form-builder-lettering .btn-control-block .btn-control-label {
  font-size: 0.875rem;
  line-height: 1;
  left: 50%;
  transform: translateX(-50%);
  white-space: nowrap;
}
#form-builder-lettering .btn-control-builder {
  width: 2.15rem;
  height: 2.15rem;
  padding: 0;
}
#form-builder-lettering .collapse-block {
  overflow: hidden auto;
}
#form-builder-lettering .item-block-list {
  grid-template-columns: repeat(auto-fill, 3rem);
  grid-template-rows: repeat(auto-fill, 3rem);
  justify-content: space-between;
  gap: 1em;
  border-color: #8d959d !important;
}
#form-builder-lettering .item-block-list.color-block-list {
  padding: 1.3rem 0.3rem 0.3rem 0.3rem;
}
#form-builder-lettering .item-block-list .color-type:first-of-type {
  background-color: #8d959d;
  color: white;
  top: 1px;
  left: 1px;
  font-size: 0.7rem;
}
#form-builder-lettering .item-block-list > .color-block-preview {
  border: 2px solid #fff;
  text-indent: -100em;
  overflow: hidden;
  outline: none;
}
#form-builder-lettering .item-block-list > .color-block-preview.selected {
  border: 2px solid #9b2e15 !important;
  box-shadow: 0 0 0 2px rgba(255, 255, 255, 0.8784313725) inset;
  pointer-events: none;
}
#form-builder-lettering .item-block-list > .font-block-preview.selected {
  color: #212529;
  background-color: #dae0e5;
  border-color: #d3d9df;
  box-shadow: none;
  pointer-events: none;
}
#form-builder-lettering .item-block-list > .special-character-block-preview {
  line-height: 3rem;
}
#form-builder-lettering .item-block-list > .special-character-block-preview:active {
  color: #212529;
  background-color: #dae0e5;
  border-color: #d3d9df;
  box-shadow: none;
}
#form-builder-lettering .special-character-block-preview,
#form-builder-lettering .font-block-preview,
#form-builder-lettering .color-block-preview {
  width: 3rem;
  height: 3rem;
  text-align: center;
  overflow: hidden;
  cursor: pointer;
  box-shadow: 2px 2px 5px #ccc;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
#form-builder-lettering .special-character-block-preview.recent-item.latest,
#form-builder-lettering .font-block-preview.recent-item.latest,
#form-builder-lettering .color-block-preview.recent-item.latest {
  pointer-events: none;
  border: 1px solid #17a2b8;
}
#form-builder-lettering .font-name {
  font-size: 0.6rem;
  text-overflow: ellipsis;
  width: 100%;
  white-space: nowrap;
  overflow: hidden;
}

#txt-component-text[data-builder-lettering] {
  min-width: 30%;
  border: 1px solid #ced4da;
}

#btn-color-picker[data-builder-lettering]::before {
  content: "";
  display: inline-block;
  width: 100%;
  height: 100%;
  background-image: url("/img/color-rosette.svg");
  background-position: center;
  background-repeat: no-repeat;
  background-origin: content-box;
}
#btn-color-picker[data-builder-lettering].active {
  background-color: !important;
}
#btn-color-picker[data-builder-lettering].active::before {
  filter: invert(100%);
}

#btn-mirror-cut[data-builder-lettering]::before {
  content: "";
  display: inline-block;
  width: 100%;
  height: 100%;
  background-image: url("/img/normal-reversed-flip.svg");
  background-position: center;
  background-repeat: no-repeat;
  background-origin: content-box;
}
#btn-mirror-cut[data-builder-lettering].active {
  background-color: !important;
}
#btn-mirror-cut[data-builder-lettering].active::before {
  filter: invert(100%);
}

#btn-stencilling[data-builder-lettering]::before {
  content: "";
  display: inline-block;
  width: 100%;
  height: 100%;
  background-image: url("/img/stencil.svg");
  background-position: center;
  background-repeat: no-repeat;
  background-origin: content-box;
}
#btn-stencilling[data-builder-lettering].active {
  background-color: !important;
}
#btn-stencilling[data-builder-lettering].active::before {
  filter: invert(100%);
}

#container-collapse[data-builder-lettering] {
  flex: 1 0 0;
  min-height: 0;
  overflow-x: auto;
}
#container-collapse[data-builder-lettering] .special-character-block-title,
#container-collapse[data-builder-lettering] .font-block-title,
#container-collapse[data-builder-lettering] .color-block-title {
  font-size: 0.7rem;
}

#dropdown-color-picker[data-builder-lettering] {
  text-align: left;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  padding-left: 1.5rem;
  padding-right: 1.5rem;
}

#assistance-modal-info-stencilling[data-builder-lettering] .card-deck .card,
#assistance-modal-info-mirror-cut[data-builder-lettering] .card-deck .card {
  max-width: 15rem;
  margin-left: auto;
  margin-right: auto;
}
#assistance-modal-info-stencilling[data-builder-lettering] .card-deck .card .card-body,
#assistance-modal-info-mirror-cut[data-builder-lettering] .card-deck .card .card-body {
  padding: 0.5rem;
}
#assistance-modal-info-stencilling[data-builder-lettering] .card-deck.card-deck-lg .card,
#assistance-modal-info-mirror-cut[data-builder-lettering] .card-deck.card-deck-lg .card {
  max-width: 30rem !important;
}

@media (max-width: 380px) {
  .link-component-height-type {
    padding: 0.25rem 0.5rem;
    font-size: 0.875rem;
    line-height: 1.5;
    border-radius: 0.2rem;
  }
}
@media (min-width: 992px) and (max-width: 1360px) {
  .dimension-block {
    flex-wrap: wrap !important;
  }
}
@media (min-width: 992px) {
  #form-builder-lettering {
    counter-reset: control-index font-index;
  }
  #form-builder-lettering .row.flex-column:first-of-type > .form-group.row {
    background-color: #FFFFFF;
    border-color: #dcdcdc !important;
    border-top: 1.06px solid #dcdcdc;
    border-bottom: none !important;
  }
  #form-builder-lettering .row.flex-column:first-of-type > .form-group.row:not(:first-child) {
    min-height: 3.4375rem !important;
  }
  #form-builder-lettering .row.flex-column:first-of-type > .form-group.row:nth-child(7) {
    border-bottom: 1.06px solid #dcdcdc !important;
  }
  #form-builder-lettering .row.flex-column:first-of-type > .form-group.row:nth-child(7) > div[class*=col-lg]:first-child {
    border-bottom: 0 !important;
  }
  #form-builder-lettering .row.flex-column:first-of-type > .form-group.row:nth-child(7) > div[class*=col-lg]:first-child > div:first-child {
    min-height: 4.5rem !important;
    height: 0 !important;
  }
  #form-builder-lettering .row.flex-column:first-of-type > .form-group.row:nth-child(7) > div[class*=col-lg]:nth-child(2).feature-flag-manage-customer-discounts {
    border-right: 0 !important;
  }
  #form-builder-lettering .row.flex-column:first-of-type > .form-group.row:nth-child(7) > div[class*=col-lg]:last-child {
    background-color: transparent !important;
  }
  #form-builder-lettering .row.flex-column:first-of-type > .form-group.row:nth-child(7) > div[class*=col-lg]:last-child:not(.feature-flag-manage-customer-discounts) > div:first-child {
    gap: 1rem;
  }
  #form-builder-lettering .row.flex-column:first-of-type > .form-group.row:nth-child(7) > div[class*=col-lg]:last-child:not(.feature-flag-manage-customer-discounts) > div:first-child > * {
    flex: 1;
  }
  #form-builder-lettering .row.flex-column:first-of-type > .form-group.row:last-child {
    border-top: 0 !important;
    border-bottom: 1.06px solid #dcdcdc !important;
  }
  #form-builder-lettering .row.flex-column:first-of-type > .form-group.row:last-child > div[class*=col-lg] {
    border-bottom: 0 !important;
  }
  #form-builder-lettering .row.flex-column:first-of-type > .form-group.row:last-child > div[class*=col-lg]:nth-child(1) {
    border-right: 1.06px solid #dcdcdc !important;
  }
  #form-builder-lettering .row.flex-column:first-of-type > .form-group.row:last-child > div[class*=col-lg]:last-child {
    background-color: transparent !important;
  }
  #form-builder-lettering .row.flex-column:first-of-type > .form-group.row:last-child > div[class*=col-lg]:last-child > div:first-child > * {
    flex: 1;
    max-width: 11.875rem;
  }
  #form-builder-lettering .row.flex-column:first-of-type > .form-group.row:not(:last-child) > div[class*=col-lg]:not(:first-child):not(:last-child) {
    border-right: 1.06px solid #dcdcdc;
    border-left: 1.06px solid #dcdcdc;
  }
  #form-builder-lettering .custom-form-label {
    flex: 0 0 6.25rem;
  }
  #form-builder-lettering .custom-form-label > span {
    font-size: 0.875rem;
    color: #1F89C2;
  }
  #form-builder-lettering .custom-form-label::before {
    counter-increment: control-index;
    content: counter(control-index);
    display: inline-block;
    width: 1.6rem;
    height: 1.6rem;
    border-radius: 100%;
    text-align: center;
    vertical-align: middle;
    font-weight: bold;
    margin-right: 0.5em;
    color: white;
    background-image: linear-gradient(to right bottom, #1c4083, #194d90, #165b9c, #1568a8, #1776b3, #197ab6, #1c7db9, #1e81bc, #1e7cb8, #1e77b4, #1e73af, #1e6eab);
  }
  #form-builder-lettering .item-block-list-container {
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.2) inset;
    width: 100%;
    height: 0;
    overflow-y: auto;
    padding-top: 0;
    padding-right: 0.625rem;
    padding-bottom: 0;
    padding-left: 0.625rem;
    opacity: 0;
    transition: all 200ms ease;
  }
  #form-builder-lettering .item-block-list-container.show {
    height: 15.625rem;
    opacity: 1;
    padding-top: 1.25rem;
    padding-bottom: 1.25rem;
  }
  #form-builder-lettering .item-block-list-container.special-character-block-list-container.show {
    height: 6.25rem;
    opacity: 1;
    padding-bottom: 0.625rem;
  }
  #form-builder-lettering .item-block-list.font-block-list {
    grid-template-columns: repeat(auto-fill, 17.5rem);
    grid-template-rows: repeat(auto-fill, 6.25rem);
    gap: 1em;
  }
  #form-builder-lettering .item-block-list.font-block-list > .font-block-preview.selected {
    background: rgba(255, 255, 255, 0.8784313725);
    border-color: #17a2b8;
    box-shadow: none;
    pointer-events: none;
  }
  #form-builder-lettering .item-block-list.font-block-list > .font-block-preview.selected::before {
    background-color: #17a2b8;
  }
  #form-builder-lettering .item-block-list.color-block-list {
    border: 2px solid #a6abb0;
  }
  #form-builder-lettering .item-block-list.color-block-list .color-type:first-of-type {
    font-weight: bold;
    background-color: #a6abb0;
  }
  #form-builder-lettering .desktop-device .font-block-preview {
    width: 17.5rem;
    height: 6.25rem;
    border: 2px solid #a6abb0;
    background-color: #F2F2F2;
  }
  #form-builder-lettering .desktop-device .font-block-preview::before {
    counter-increment: font-index;
    content: counter(font-index);
    position: absolute;
    top: 0;
    left: 0;
    padding: 2px;
    font-size: 0.7rem;
    line-height: 0.625rem;
    font-weight: bold;
    color: #fff;
    background-color: #a6abb0;
    border-top-left-radius: calc(0.25rem - 2px);
  }
  #form-builder-lettering .font-name {
    font-size: 1rem;
  }
  #form-builder-lettering .dimension-block .form-control {
    flex: 0 1 4rem;
    max-width: 3.66rem;
  }
  #form-builder-lettering .dimension-block > span:nth-child(1),
  #form-builder-lettering .dimension-block > span:nth-child(4) {
    padding-right: 0.5em;
    font-size: 0.8rem;
  }
  #form-builder-lettering .dimension-block > span:nth-child(6) {
    font-size: 0.8rem;
  }
  #form-builder-lettering .option-block .form-check {
    padding-left: 1.25rem;
  }
  #form-builder-lettering .option-block .form-check .control-assistance {
    vertical-align: text-bottom;
  }
  #form-builder-lettering .option-block .form-check:nth-child(1) {
    margin-right: 1em;
  }
  #form-builder-lettering .option-block .form-check:nth-child(2) {
    border-left: 0.7px solid #808080;
  }
  #form-builder-lettering .option-block input[type=checkbox] {
    top: 50%;
    left: 0.45rem;
    transform: translate3D(0, -50%, 0);
    margin-top: 0;
    margin-left: 0;
  }
  #form-builder-lettering .option-block .form-check-label[for=chk-component-mirror-cut]::before,
  #form-builder-lettering .option-block .form-check-label[for=chk-component-stencilling]::before {
    content: "";
    display: block;
    width: 2.3rem;
    height: 2.3rem;
    background-position: center;
    background-repeat: no-repeat;
    background-origin: content-box;
    margin: auto;
  }
  #form-builder-lettering .option-block .form-check-label[for=chk-component-mirror-cut]::before {
    background-image: url("/img/normal-reversed-flip.svg");
    background-color: #E6E6E6;
    border-color: #E6E6E6;
    border-radius: 0.375rem;
  }
  #form-builder-lettering .option-block .form-check-label[for=chk-component-stencilling]::before {
    background-image: url("/img/stencil.svg");
  }
  #form-builder-lettering .component-price-block {
    white-space: nowrap;
    padding: 0.3em;
    height: calc(1.5em + 0.75rem + 2px);
    border: 1px solid #cbcbcb;
  }
  #form-builder-lettering .component-price-container .component-price-block {
    text-align: center !important;
    width: 48%;
    line-height: 1.5;
    border-radius: 0 !important;
  }
  #form-builder-lettering .component-price-container .component-price-block > span {
    vertical-align: middle;
    font-weight: bold !important;
  }
  #form-builder-lettering .component-price-container .component-price-block:nth-child(2) {
    max-width: 56%;
  }
  #form-builder-lettering .desktop-device .color-block-preview {
    width: 3rem;
    height: 3rem;
    text-align: initial;
    transition: none;
    border: 2px solid rgba(255, 255, 255, 0.8784313725);
  }
  #form-builder-lettering .color-preview {
    width: 1.5625rem;
    height: 1.5625rem;
    flex: 0;
    box-shadow: 1px 1px 3px #ccc;
  }
  #form-builder-lettering .material-detail {
    font-size: 0.68rem;
  }
  #form-builder-lettering .material-detail .outdoor-durability {
    color: #003399;
  }
}
